#pragma once
#include <myapp/rcon/peerprovider.h>

class peer_provider_mock : public myapp::rcon::peer_provider
{
public:
    MOCK_METHOD1(server, void(std::string));
    MOCK_METHOD1(client, void(std::string));
    MOCK_METHOD1(on_callback, void(std::function<void(std::unique_ptr<myapp::rcon::connection>)>));
    MOCK_METHOD1(on_error, void(std::function<void(std::string)>));
};
